# Rôles et permissions dans ScoDoc

ScoDoc défini par défaut quatre rôles principaux (d'autres sont prévus,
notamment pour le module relations entreprises):

* Administrateur
* Secrétariat
* Enseignant
* Observateur

Par ailleurs, le contexte d'utilisation donne certains privilèges (par exemple
la faculté de saisir des notes, de justifier des absences, de modifier la
définition des programmes, ...).

## Exemple

L'utilisateur *Dupont* est responsable ScoDoc pour son département *RT* mais
intervient également en enseignement au département *GEII*. On pourra lui
attribuer les rôles `Admin_RT` et `Ens_GEII`, ce qui lui permettra :

* de gérer les utilisateurs du (seul) département RT :  
Privilèges associés : `Gérer les utilisateurs`, `Changer les formations`, ...
* d'accéder aux vues enseignant pour le département GEII :  
Privilèges associés : `Voir les parties pour les enseignants`,
`Saisir des absences`, ...

Pour une description plus fine des permissions, voir
[ConfigPermissions](ConfigPermissions.md).

## Rôles définis dans l'installation standard

`XXX` désigne typiquement le nom du département ("RT" ou "GEA").

* `Admin_XXX`: toutes opérations ScoDoc (chef de département, et éventuellement
  un ou deux collaborateurs de confiance);

* `Ens_XXX`: enseignant du département;

* `Secr_XXX`: secrétaire du département.

L'installation standard défini aussi un utilisateur "*admin*", qui a le rôle
"Manager", ce qui lui confère normalement tous les droits sur toutes les parties
du site. L'usage de cet utilisateur particulier devrait être réduit à la
création de nouveaux départements, et son mot de passe ne devrait pas être
divulgué aux utilisateurs de ScoDoc.

Les utilisateurs sont associés à des rôles et à un (et un seul) département
principal.

Un utilisateur peut avoir un nombre quelconque de rôles dans différents
départements.

Le département de rattachement est utile pour indiquer qui (quel administrateur)
a le droit de modifier l'utilisateur (lui changer son mot de passe, etc), mais
n'influe pas sur les permissions accordées à l'utilisateur (sauf pour les
administrateurs).

Le fait d'être, ou non, associé à un département est important pour les
responsables (rôle `Admin_XXX`. En effet, si le responsable est associé à un
département, il ne pourra créer des utilisateurs que dans ce département (c'est
en général ce qu'on veut pour un chef de département, qui "recrute" des
enseignant uniquement dans son département).

## Permissions dépendantes du contexte

Outre les rôles associés à chaque utilisateur, le calcul des autorisations
dépend du contexte de l'opération. Par exemple, un responsable de semestre a des
droits particulier sur ce semestre, ou encore un responsable de module sur la
saisie des notes dans ce module.

### Qui peut saisir des notes ?

Peuvent saisir des notes dans une évaluation située dans un module:

* le ou les administrateurs (rôle `Admin_XXX`, où `XXX` est le département);
* le responsable du semestre (directeur des études);
* le responsable du module;
* les enseignants "associés" au module (en général des collègues désignés par le
  responsable de module ou le directeur des études).

!!! note "Voir aussi"

    - [ConfigPermissions](ConfigPermissions.md) pour plus de détails sur les permissions (pour les développeurs)
    - [Gestion des utilisateurs](AdminUsers.md)
    - [Config. des rôles et permissions en ligne de commande](GuideConfig.md#creation-dun-nouveau-role)
    - [Guide administrateur ScoDoc](GuideAdminSys.md)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)
