# Les évaluations

On appelle dans ScoDoc "évaluation" toute action pédagogique produisant une
note. Les notes sont des nombres positifs ou nuls (exceptés les "notes" de malus
qui peuvent être négatives).

## Définition d'une évaluation

- **Description**: texte libre, qui sera affiché sur certains bulletins.
- **Barème**: note maximale $M$. Les valeurs seront saisies dans l'intervalle $[0, M]$.
  Les notes affichées sont toujours ramenées sur 20.
- **Date, heures de début et fin** de la réalisation de l'évaluation. Si les
  étudiants ne sont pas tous évalués en même temps (exemple: note de TP de
  différents groupes), on peut ne pas indiquer de date (la possibilité de
  définir plusieurs dates est à l'étude pour une version future).
- **Visible sur bulletins**: indique si l'évaluation et la note de l'étudiant doit
  être affichée sur les bulletins au format dit "intermédiaire" (ni cours, ni
  long). C'est le format utilisé par la passerelle. La note reste prise en
  compte dans les moyennes même si l'évaluation n'est pas affichée.
- **Prise en compte immédiate**: si coché, les notes saisies dans l'évaluation
  seront prises en compte dans le calcul des moyennes avant même que les notes
  de tous les étudiants ne soit saisies. Ce réglage peut-être dangereux car les
  notes sont montrées aux étudiants avant qu'elles soient définitives et devrait
  rester réservé à des cas particuliers.

## Coefficient et poids

Le coefficient est utilisé pour pondérer les notes de l'évaluation afin de
calculer la moyenne au module.En BUT, les poids modulent l'importance de
l'évaluation dans chaque UE. Voir la page [calcul des notes](CalculNotes.md).

## État d'une évaluation

Une évaluation dans laquelle tous les étudiants inscrits au module ont une note
est dite *complète*. Elle est alors prise en compte dans le calcul des moyennes
et publiée sur les bulletins (selon les formats et réglages).

Si toutes les notes ne sont pas saisies, l'évaluation est dite *incomplète*, et
n'est pas prise en compte *sauf* si l'option "Prise en compte immédiate" est
activée.

Si toutes les notes sont saisies, mais certaines sont "en attente" (`ATT`),
l'évaluation est dite *en attente*. Elle est prise en compte.

## Modalité d'une évaluation

- **Normale**: produit une note utilisée dans le calcul des moyennes du module.
- **Rattrapage**: la note d'une évaluation de "rattrapage" remplacera la moyenne
    du module de l'étudiant *si et seulement si elle est meilleures que celles
    calculées*.
- **Deuxième session**: la note remplace, lorsqu'elle est saisie, la moyenne de
    l'étudiant à ce module, même si sa note de deuxième session est plus faible
    que sa moyenne normale.
- **Bonus**: la valeur est ajoutée à la moyenne du module, voir détail ci-dessous.

### Évaluations de "bonus"

Les évaluations bonus sont particulières:

- la valeur est ajoutée à la moyenne du module;
- le bonus peut être négatif (malus);
- le bonus ne s'applique pas aux notes de rattrapage et deuxième session;
- le coefficient est ignoré, mais en BUT le bonus vers une UE est multiplié par le poids correspondant (par défaut égal à 1);
- les notes de bonus sont prises en compte même si incomplètes.

## Bloquage et date de prise en compte

Ceci permet d'empêcher la prise en compte (et éventuellement la publication) de
l'évaluation, même si ses notes sont complètes, ou bien de la différer jusqu'à
la date indiquée.


!!! note "Voir aussi"

    - [Les principaux objets de ScoDoc](IntroObjetsScoDoc.md)
    - [Calcul des notes](CalculNotes.md)
    - [Les évaluations et le BUT](BUT.md#creer-une-evaluation)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)